import click

import gitlab_ci_job_finder


@click.command()
@click.option("--count", default=1, help="Number of jobs to search.")
@click.option("--projectid", prompt="Id of Gitlab Project", help="Id of Gitlab Project.")
@click.option("--jobname", prompt="name of job to filter", help="Id of Gitlab Project.")
# TODO add option "to-file" for storing the resulting json on disk
def execute_gl_ci_finder(count, projectid, jobname):
    gitlab_ci_job_finder.find_jobs(count, projectid, jobname)


if __name__ == '__main__':
    execute_gl_ci_finder()
